## org.codehaus.groovy.binding
Interface FullBinding

All Superinterfaces:
  BindingUpdatable

All Known Implementing Classes:
  AbstractFullBinding

    public interface FullBinding

extends BindingUpdatable

Since:
  Groovy 1.1
Version:
  $Revision: 7953 $
Author:
  Danno Ferrin

Method Summary
`Closure` `getConverter()`
`Closure` `getReverseConverter()`
`SourceBinding` `getSourceBinding()`
`TargetBinding` `getTargetBinding()`
`Closure` `getValidator()`
`void` `setConverter(Closure converter)`
`void` `setReverseConverter(Closure reverseConverter)`
`void` `setSourceBinding(SourceBinding source)`
`void` `setTargetBinding(TargetBinding target)`
`void` `setValidator(Closure validator)`

Methods inherited from interface org.codehaus.groovy.binding.BindingUpdatable
`bind, rebind, reverseUpdate, unbind, update`

Method Detail

### getSourceBinding

    SourceBinding getSourceBinding()

### getTargetBinding

    TargetBinding getTargetBinding()

### setSourceBinding

    void setSourceBinding(SourceBinding source)

### setTargetBinding

    void setTargetBinding(TargetBinding target)

### setValidator

    void setValidator(Closure validator)

### getValidator

    Closure getValidator()

### setConverter

    void setConverter(Closure converter)

### getConverter

    Closure getConverter()

### setReverseConverter

    void setReverseConverter(Closure reverseConverter)

### getReverseConverter

    Closure getReverseConverter()

Copyright © 2003-2008 The Codehaus. All rights reserved.